Bug 1161470

Summary: missing license for yast2-ruby-bindings
Product: [openSUSE] openSUSE Tumbleweed Reporter: Stanislav Brabec <sbrabec>
Component: YaST2Assignee: E-mail List <yast2-maintainers>
Status: RESOLVED FIXED QA Contact: Jiri Srain <jsrain>
Severity: Minor    
Priority: P5 - None CC: ancor, ciaran.farrell
Version: Current   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Stanislav Brabec 2020-01-22 00:31:14 UTC
For purpose of assigning correct licenses to yast2-translations, I did a license review of YaST modules.

I found that yast/ruby-bindings repository lacks any COPYING* or *LICENCE* file.

yast2-ruby-bindings.spec says GPL-2.0-only

License inside files mostly says "GNU General Public License; either version 2 of the License, or (at your option) any later version". But GPL says: "You should have received a copy of the GNU General Public License along with this program" => You should add the COPYING* or *LICENSE* file.


Here is the list of other repositories without COPYING* or *LICENCE* file:
autoyast-integration-test autoyast-profiles-test aytests-tests blog build-test burndown docker-devel docker-libstorage-ng docker-yast-cpp docker-yast-ruby helper_scripts meta os-autoinst-distri-opensuse ruby-ui ui-qt-tests yast.github.io

But these files don't have RPMNAME, so they are probably not a source of any package.


Licenses for other packages:

libyui-rake, rake: GNU LESSER GENERAL PUBLIC LICENSE Version 2.1

hana-firewall, yast2-adsi, yast2-aduc, yast2-dns-manager, yast2-gpmc: GNU GENERAL PUBLIC LICENSE Version 3

patterns-yast: MIT License

all other projects: GNU GENERAL PUBLIC LICENSE Version 2

(Scan done on December 10th, 2019.)


Purpose of my research:

As part of license issue for translations, I investigated possible license choices for yast-translations (bug 1137775, internal).

As the standard license of translations follows the package ("# This file is distributed under the same license as the package." is part of a standard header.), I have to evaluate every particular package license, and yast-translations should mention all these licenses.
Comment 1 Ancor Gonzalez Sosa 2020-01-22 10:50:05 UTC
(In reply to Stanislav Brabec from comment #0)
>  
> License inside files mostly says "GNU General Public License; either version
> 2 of the License, or (at your option) any later version". But GPL says: "You
> should have received a copy of the GNU General Public License along with
> this program" => You should add the COPYING* or *LICENSE* file.

I will, thanks for the heads-up
Comment 2 Ancor Gonzalez Sosa 2020-01-23 11:31:03 UTC
Fixed in https://github.com/yast/yast-ruby-bindings/pull/238

Fix also submitted to the Tumbleweed SLE packages
https://build.opensuse.org/request/show/766368
https://build.suse.de/request/show/209887